/*
 Creates a fan of processes.
 /*


/* Includes */
#include <unistd.h>     /* Symbolic Constants */
#include <sys/types.h>  /* Primitive System Data Types */ 
#include <errno.h>      /* Errors */
#include <stdio.h>      /* Input/Output */
#include <sys/wait.h>   /* Wait for Process Termination */
#include <stdlib.h>     /* General Utilities */
#include <iostream>    
 
using namespace std;

int main()
{
	int i; 
	int n = 4; 
	
	pid_t childpid; 
	
	cout << endl;
	
	for (int i = 1; i < n; i++ ) 
		if ( ( childpid = fork() ) <= 0 )
		{ 
			cout << "I am a child with PID: " << getpid() << endl; 
			break;
		}
	
	cout << "This is process: " << (long)getpid() 
	     << " with parent: "    << (long)getppid() << endl;
		
	

	return 1; 

}


