/* Includes */
#include <unistd.h>     /* Symbolic Constants */
#include <sys/types.h>  /* Primitive System Data Types */ 
#include <errno.h>      /* Errors */
#include <stdio.h>      /* Input/Output */
#include <sys/wait.h>   /* Wait for Process Termination */
#include <stdlib.h>     /* General Utilities */
 
	int main()
	{
		pid_t  pid;
		/* fork another process */
		pid = fork();
		if (pid < 0) { /* error occurred */
			fprintf(stderr, "Fork Failed");
			exit(-1);
		}
		else if (pid == 0) { /* child process */
			execl("./myprog", "myprog", NULL, NULL);
		}
		else { /* parent process */
			/* parent will wait for the child to complete */
//			wait (NULL);
			printf ("Parent exiting... Complete\n");
			exit(0);
		}
	}

	





